### Method

# Gtk.PrintJob.set_page_ranges

#### Declaration [src]

    void
    gtk_print_job_set_page_ranges (
      GtkPrintJob* job,
      GtkPageRange* ranges,
      int n_ranges
    )

#### Description [src]

Sets the page ranges for this job.

#### Parameters

`ranges` | An array of `GtkPageRange`
| pointer to an array of `GtkPageRange` structs
| The length of the array is in the `n_ranges` argument
| Ownership of the data is transferred to the callee
`n_ranges` | `int`
| the length of the `ranges` array